
Gisaf - Bug #3473

Shapefile import: discrepancy

07/01/2017 13:08 - Giulio Di Anastasio

Status: Closed Start date: 07/01/2017

Priority: High Due date:  

Assignee: Philippe May % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: demo Spent time: 0.00 hour

Description

We noticed that the area calculation (from PostGIS) is not consistent with the same in QGis.

So, first thing to check is the shapefile import: rounding, projection is not accurate?

Associated revisions

Revision 9c91b667 - 10/01/2017 03:59 - Philippe May 

Fixes #3473, fixes #3482: use gdal (osgeo) instead of shapefile for importing, solving discrepancy of areas and interiors of polygons not processed

correctly

History

#1 - 08/01/2017 20:06 - Philippe May

Exporting the shapefile, opening in QGis: the shapes seem perfectly aligned (comparing with the original shapefile). So, it doesn't look like there's any

issue with import and export.

So, it seems to be really only an issue with area calculation.

#2 - 10/01/2017 04:01 - Anonymous

- Status changed from New to Resolved

- % Done changed from 0 to 100

Applied in changeset gisaf|9c91b66761efede32161970c1cd8ece2adcfcd67.

#3 - 17/11/2017 12:30 - Philippe May

- Status changed from Resolved to Closed
